Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233584 - Review Request: perl-Text-Shellwords - A thin wrapper around the shellwords.pl package
Summary: Review Request: perl-Text-Shellwords - A thin wrapper around the shellwords....
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 11:00 UTC by Alex Lancaster
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-25 00:03:41 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-23 11:00:59 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Text-Shellwords.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Text-Shellwords-1.08-1.src.rpm info here>
Description: 
This is a thin wrapper around the shellwords.pl package, which comes
preinstalled with Perl.  This module imports a single subroutine,
shellwords().  The shellwords() routine parses lines of text and
returns a set of tokens using the same rules that the Unix shell does
for its command-line arguments.  Tokens are separated by whitespace,
and can be delimited by single or double quotes.  The module also
respects backslash escapes.

Comment 1 Parag AN(पराग) 2007-03-23 11:25:34 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
72284605020ed5135dbed65a8d3b70c6  Text-Shellwords-1.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl
1..6
# Running under perl version 5.008008 for linux
# Current time local: Fri Mar 23 07:11:51 2007
# Current time GMT:   Fri Mar 23 11:11:51 2007
# Using Test.pm version 1.25
ok 1
ok 2
ok 3
ok 4
ok 5
ok 6
+ Provides: perl(Text::Shellwords) = 1.08
APPROVED.


Comment 2 Alex Lancaster 2007-03-24 00:49:57 UTC
New Package CVS Request
=======================
Package Name: perl-Text-Shellwords
Short Description: A thin wrapper around the shellwords.pl package
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Again already exists in CVS as a dead branch.

Comment 3 Dennis Gilmore 2007-03-24 15:05:08 UTC
Added to owners list

Comment 4 Alex Lancaster 2007-03-25 00:03:41 UTC
Builds fine FC-5, FC-6 and devel.  Closing.


Note You need to log in before you can comment on or make changes to this bug.